package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 注册-家长对象 register_parents
 * 
 * @author boman
 * @date 2023-05-25
 */
public class RegisterParents extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    private String openId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String userPhone;

    /** 审核结果 */
    @Excel(name = "审核结果")
    private String isPass;

    private List<RegisterParentsStudent> registerParentsStudentList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUserPhone(String userPhone) 
    {
        this.userPhone = userPhone;
    }

    public String getUserPhone() 
    {
        return userPhone;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getIsPass() {
        return isPass;
    }

    public void setIsPass(String isPass) {
        this.isPass = isPass;
    }

    public List<RegisterParentsStudent> getRegisterParentsStudentList() {
        return registerParentsStudentList;
    }

    public void setRegisterParentsStudentList(List<RegisterParentsStudent> registerParentsStudentList) {
        this.registerParentsStudentList = registerParentsStudentList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userName", getUserName())
            .append("userPhone", getUserPhone())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
